
QGIS Application - Bug report #18486

QGIS 2.18 / 3.0 Crashes Zooming Layer from MS SQL database.

2018-03-20 07:56 AM - Alt Ident

Status: Closed

Priority: High

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.18.17 Regression?: Yes

Operating System: Windows 10 Enterprise 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26374

Description

The crash occurs zooming in or out (fast zooming, by scrolling mouse wheel) when using layers sourced from MS SQL database.

The crash does not happen if using non-SQL layers (e.g. Shapefiles).

This issue does NOT occur in QGIS version 2.14.17.

This issue does occur in QGIS 2.18.17 and 3.0.0.

I have tried changing all the rendering settings, however it still crashes.

I have supplied crash report below (from v3.0.0). I hope this is fixable as our company only uses MS SQL databases.

Crash ID: 815b7d05708a4749ca0cade8a6a302683d7bb05d

Stack Trace

RtlEnterCriticalSection :

ODBCSetTryWaitValue :

LockHandle :

SQLGetStmtAttrW :

isProvider :

isProvider :

isProvider :

QgsVectorLayerFeatureIterator::QgsVectorLayerFeatureIterator :

QgsVectorLayerFeatureSource::getFeatures :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :

QgsImageOperation::flipImage :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

History

#1 - 2018-10-02 10:19 PM - Nyall Dawson

- Status changed from Open to Feedback

Should be fixed in 3.3 master - please test

#2 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-11 12:23 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
